#!/bin/bash


OBJF="F_edges2__objective_lemma_4.2.txt"



ALPHA="0.579" 

if [ $# -eq "1" ] ; then
ALPHA="$1"
fi

ONEMINUSALPHA=`echo "scale=10;1-$ALPHA" | bc `
#TWOBETA=`echo "scale=10;2*((2*$ALPHA-1)/4)" | bc `
TWOBETA=`echo "scale=10;2*((2*$ALPHA-1)/4-1/4000)" | bc `

OBJF="F_edges2__objective_lemma_4.2_$ALPHA.txt"

# Objective just edge
echo "1 2 0 2" > $OBJF

# Constraints... maximum degree at most alpha

# Maximum degree 1-alpha
echo " " >>  $OBJF
echo "# maximum degree" >>  $OBJF
echo "0 $ONEMINUSALPHA  -1  2  1 2" >> $OBJF


echo "" >> $OBJF
echo "# Cut on 1 vertex" >> $OBJF
# Cut on 1 vertex
echo "0 0 "  >> $OBJF
./a.out -fc "($ALPHA 1 1  -1 2 1 2)  * 1 3 1 2 1 2  *  1 2 1 1
          +  ($ALPHA 1 1  -1 2 1 2)^2 *  1 3 1 1 1 2 
            -$TWOBETA 1 1 *  (1 2 1 1)^2" >> $OBJF
echo "" >> $OBJF
echo "" >> $OBJF



echo "# Cut on an edge "  >> $OBJF
echo "0 0 "  >> $OBJF
./a.out -fc "1 4 2  2 2 1  1 1  2  * ($ALPHA 2 2 2   -1 3 2 2 2 1) * 1 3 2  2 1  1 
            + ($ALPHA 2 2 2  -1 3 2 2 2 1)^2 *  1 4 2  2 1 1  1 1  2
            -$TWOBETA 2 2 2 *  (1 3 2 2 1 1)^2"  >> $OBJF


./a.out -elcp  -n 7 -lb -fp  -obj "$OBJF"

if [ $# -ne "1" ] ; then
./a.out -fcd "($ALPHA 1 1  -1 2 1 2)  * 1 3 1 2 1 2  *  1 2 1 1
          +  ($ALPHA 1 1  -1 2 1 2)^2 *  1 3 1 1 1 2 
            -$TWOBETA 1 1 *  (1 2 1 1)^2" > test_4.2_cut1.tex 2>/dev/null
./a.out -fcd "1 4 2  2 2 1  1 1  2  * ($ALPHA 2 2 2   -1 3 2 2 2 1) * 1 3 2  2 1  1 
            + ($ALPHA 2 2 2  -1 3 2 2 2 1)^2 *  1 4 2  2 1 1  1 1  2
            -$TWOBETA 2 2 2 *  (1 3 2 2 1 1)^2"  >  test_4.2_cut2.tex 2>/dev/null       
pdflatex test_4.2_cut1.tex 1>/dev/null
pdflatex test_4.2_cut2.tex 1>/dev/null
fi

echo "Alpha= $ALPHA   1-Alpha= $ONEMINUSALPHA  2*Beta= $TWOBETA"

